commit:     4cd4e0b239989be82768d2497b54f7954f3e35fe
Author:     Adel KARA SLIMANE <adel <AT> karaslimane <DOT> com>
AuthorDate: Thu Apr  1 17:27:07 2021 +0000
Commit:     Adel KARA SLIMANE <adel <AT> karaslimane <DOT> com>
CommitDate: Thu Apr  1 17:27:07 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=4cd4e0b2

mail-client/mailspring-bin: first EBUILD for version 1.8.0

Signed-off-by: Adel KARA SLIMANE <adel <AT> karaslimane.com>
Package-Manager: Portage-3.0.18, Repoman-3.0.2

 mail-client/mailspring-bin/Manifest                |  1 +
 .../mailspring-bin/mailspring-bin-1.8.0.ebuild     | 42 ++++++++++++++++++++++
 mail-client/mailspring-bin/metadata.xml            | 16 +++++++++
 3 files changed, 59 insertions(+)

diff --git a/mail-client/mailspring-bin/Manifest 
b/mail-client/mailspring-bin/Manifest
new file mode 100644
index 000000000..893480734
--- /dev/null
+++ b/mail-client/mailspring-bin/Manifest
@@ -0,0 +1 @@
+DIST mailspring-1.8.0-amd64.deb 79747546 BLAKE2B 
ed47adc692455324d0a8ce13d6f5a54cacd64c40112192df5ff0dcfab47815eabc3c3964e588af4443dc863f1b53fc08f001fdadf6340017900a1bed40d8a9ab
 SHA512 
e487a6eed6e5e1bbcece3f85fa3cf32d24e257f73d77b0170f2b970496d3d710a529d28d8b035bb6589d450fde7c2324de59bfa17c8502fc317d5250368fbbec

diff --git a/mail-client/mailspring-bin/mailspring-bin-1.8.0.ebuild 
b/mail-client/mailspring-bin/mailspring-bin-1.8.0.ebuild
new file mode 100644
index 000000000..b0d565fcf
--- /dev/null
+++ b/mail-client/mailspring-bin/mailspring-bin-1.8.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit unpacker
+
+DESCRIPTION="A beautiful, fast and fully open source mail client for Mac, 
Windows and Linux"
+HOMEPAGE="https://getmailspring.com/";
+SRC_URI="https://github.com/Foundry376/Mailspring/releases/download/${PV}/mailspring-${PV}-amd64.deb";
+S="${WORKDIR}"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+       app-crypt/libsecret
+       app-text/tidy-html5
+       dev-cpp/ctemplate
+       dev-libs/libgcrypt
+       dev-libs/nss
+       gnome-base/gconf
+       media-libs/libglvnd
+       net-dns/c-ares
+       sys-devel/libtool
+       virtual/udev
+       =x11-libs/gtk+-3*
+       x11-libs/libnotify
+       x11-libs/libxkbfile
+       x11-libs/libXtst
+       x11-misc/xdg-utils
+       || ( =dev-libs/glib-2* gnome-base/gvfs  )
+"
+
+src_unpack(){
+       unpack_deb ${A}
+}
+
+src_install(){
+       cp -R "${S}"/* "${D}" || die "Installing binary files failed"
+}

diff --git a/mail-client/mailspring-bin/metadata.xml 
b/mail-client/mailspring-bin/metadata.xml
new file mode 100644
index 000000000..b5bd6cef7
--- /dev/null
+++ b/mail-client/mailspring-bin/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="person">
+               <name>Adel Kara Slimane</name>
+               <email>[email protected]</email>
+       </maintainer>
+       <upstream>
+               <maintainer>
+                       <name>Ben Gotow</name>
+                       <email>[email protected]</email>
+               </maintainer>
+               <remote-id type="github">Foundry376/Mailspring</remote-id>
+               <bugs-to>https://community.getmailspring.com/</bugs-to>
+       </upstream>
+</pkgmetadata>

Reply via email to